<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE web-app PUBLIC
  "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
  "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app> 

	<display-name>MediaStore</display-name>
	<description>MediaStore</description>
	
	<context-param>
		<param-name>dburl</param-name>
		<param-value>jdbc:microsoft:sqlserver://127.0.0.1:1433;DatabaseName=mediastore</param-value>
	</context-param>
	<context-param>
		<param-name>user</param-name>
		<param-value>sa</param-value>
	</context-param>
	<context-param>
		<param-name>password</param-name>
		<param-value>chen</param-value>
	</context-param>
	
	<servlet>
		<servlet-name>action</servlet-name>
		<servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
		<init-param>
			<param-name>config</param-name>
			<param-value>/WEB-INF/struts-config.xml</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	
	<!-- Standard Action Servlet Mapping -->
	<servlet-mapping>
		<servlet-name>action</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
	
	
	<session-config>
		<session-timeout>60</session-timeout>
	</session-config>
	
	
	<!-- The Usual Welcome File List -->
	<welcome-file-list>
		<welcome-file>index.htm</welcome-file>
	</welcome-file-list>
	
</web-app>

